Bug 145609 - CAN-2005-0144 Secure site lock can be spoofed with view-source:
Summary: CAN-2005-0144 Secure site lock can be spoofed with view-source:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: mozilla   
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact: Ben Levenson
URL:
Whiteboard: impact=low,public=20050120
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-20 01:57 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-23 19:01:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:323 normal SHIPPED_LIVE Critical: mozilla security update 2005-03-23 05:00:00 UTC

Description Josh Bressers 2005-01-20 01:57:09 UTC
===================================
Mozilla Security Advisory MSA05-004
===================================

Title:      Secure site lock can be spoofed with view-source:
Severity:   Low
Reporter:   Kohei Yoshino

Fixed in:   Firefox 1.0
            Mozilla Suite 1.7.5


Description
-----------
Kohei Yoshino reports the secure site lock icon can be spoofed by using
a view-source: URL targetted at the secure site whose credentials you want
to appropriate. An insecure page of the attackers choice can then be loaded
while the lock icon shows the previous secure state.

This could potentially be abused by phishers to make their fake login sites
appear more authentic.


Workaround
----------
Upgrade to fixed version


References
----------
https://bugzilla.mozilla.org/show_bug.cgi?id=262689

Comment 1 Josh Bressers 2005-01-20 01:58:06 UTC
This issue should also affect RHEL2.1

Comment 2 Josh Bressers 2005-03-23 19:01:42 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-323.html



Note You need to log in before you can comment on or make changes to this bug.